package de.htwsaar.webshop.service;

import de.htwsaar.webshop.repository.entities.Account;
import de.htwsaar.webshop.repository.entities.Session;

import java.util.UUID;

public interface SessionService {
    Session create(Account account);

    void delete(Session session);

    Session findByAccount(Account account);

    Session getByToken(UUID token);

    boolean isValid(Session session, String email);

    boolean isValid(UUID token, String email);

    boolean isAdmin(UUID token, String email);
}
